### DB_ENV->log_flush

`

###

    #include <db.h>

    int
    DB_ENV->log_flush(DB_ENV *env, const DB_LSN *lsn);

### Description: DB_ENV->log_flush

The DB_ENV->log_flush method writes log records to disk.

The DB_ENV->log_flush method returns a non-zero error value on failure and 0 on success.

### Parameters

lsn
  All log records with DB_LSN values less than or equal to the lsn parameter are written to disk. If lsn is NULL, all records in the log are flushed.

### Errors

The DB_ENV->log_flush method may fail and return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.